#############################################################################
# Makefile for building rbuic
# Generated by tmake at 00:52, 2001/08/17
#     Project: rbuic
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -g -DUIC
CXXFLAGS=	-pipe -Wall -W -g -DUIC
INCPATH	=	-I. -I$(QTDIR)/include -I$(QTDIR)/src/3rdparty/zlib -I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	domtool.h \
		globaldefs.h \
		uic.h \
		widgetdatabase.h
SOURCES =	domtool.cpp \
		uic.cpp \
		widgetdatabase.cpp
OBJECTS =	domtool.o \
		uic.o \
		widgetdatabase.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	rbuic
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake rbuic.pro

dist:
	$(TAR) rbuic.tar rbuic.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) rbuic.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

####### Sub-libraries


###### Combined headers


####### Compile

domtool.o: domtool.cpp \
		domtool.h

uic.o: uic.cpp \
		uic.h \
		widgetdatabase.h \
		domtool.h \
		globaldefs.h

widgetdatabase.o: widgetdatabase.cpp \
		widgetdatabase.h \
		globaldefs.h

